
QGIS Application - Bug report #308

a 3D polygon SHP won't open in QGIS, but opens fine in OpenEV

2006-09-25 09:46 AM - Redmine Admin

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10367

Description

Trying to open the attached file I get an error:

$ qgis tmp/ManyBuildings/ManyBuildings.shp

ERROR 4: @/home/shoofi/tmp/ManyBuildings/ManyBuildings.shp' not recognised as a supported file format.

[[QgsSpatialRefSys]]::createFromProj4 error proj string supplied has no +ellps argument

WARNING: This code (file qgsvectorlayer.cpp, line 1337) should never be reached. Problems may occur...

WARNING: This code (file qgsvectorlayer.cpp, line 1337) should never be reached. Problems may occur...

Warning: QPainter::begin: Cannot paint on a null pixmap

Warning: Painter must be active to set rendering hints

Warning: QPainter::end: Painter is not active, aborted

WARNING: This code (file qgsvectorlayer.cpp, line 1337) should never be reached. Problems may occur...

WARNING: This code (file qgsvectorlayer.cpp, line 1337) should never be reached. Problems may occur...

WARNING: This code (file qgsvectorlayer.cpp, line 1337) should never be reached. Problems may occur...

Though the file opens fine in [[OpenEV]] that comes with FWTools 1.05 and is recognised properly by ogrinfo.

Maciek

History

#1 - 2006-09-25 09:51 AM - Redmine Admin

The file is to big to upload it to trac. Here's the link:

[http://kufaya.googlepages.com/ManyBuildings.tar.bz2]

#2 - 2006-09-25 10:08 AM - Redmine Admin

A few heading lines in the code bit a bove is bogus. They don't popup if I load the shapefile via GUI. See my recenet report [

https://svn.qgis.org/trac/ticket/309].

It doesn't change the fact the shapefile is still not visible after loading, though it's present on the layer list and stuff.

Maciek
#3 - 2006-09-26 03:00 AM - Gavin Macaulay -

The file at kufaya.googlepages.com appears to be truncated. Can you re-upload it?

#4 - 2006-09-26 11:39 AM - Redmine Admin

I can download the http://kufaya.googlepages.com/ManyBuildings.tar.bz2 and unpack it with mc or Gnome's file-roler OK. No need to re-upload.

Maciek

#5 - 2006-09-27 11:44 AM - Martin Dobias

- Status changed from Open to Closed

- Resolution set to fixed

Fixed in . Note that Z value of the point is not used at all.

#6 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
